Freeciv-3.1: edit_impr Class Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Private Slots | Private Attributes
edit_impr Class Reference

`#include <edit_impr.h>`

Inheritance diagram for edit_impr:

## Public Member Functions

| edit_impr (ruledit_gui *ui_in, struct impr_type *impr_in)
void | refresh ()
Public Member Functions inherited from values_dlg
| values_dlg ()
void | open_help (struct strvec *help)
void | close_help ()

## Protected Member Functions

void | closeEvent (QCloseEvent *cevent)

## Private Slots

void | set_bcost_value (int value)
void | set_upkeep_value (int value)
void | genus_menu (QAction *action)
void | gfx_tag_given ()
void | gfx_tag_alt_given ()
void | sound_tag_given ()
void | sound_tag_alt_given ()
void | helptext ()

## Private Attributes

ruledit_gui * | ui
struct impr_type * | impr
QSpinBox * | bcost
QSpinBox * | upkeep
QToolButton * | genus_button
QLineEdit * | gfx_tag
QLineEdit * | gfx_tag_alt
QLineEdit * | sound_tag
QLineEdit * | sound_tag_alt
QGridLayout * | flag_layout

## Detailed Description

Definition at line 34 of file edit_impr.h.

## Constructor & Destructor Documentation

## ◆ edit_impr()

edit_impr::edit_impr | ( | ruledit_gui * | ui_in,
|  | struct impr_type * | impr_in
| ) |  |

explicit

Setup edit_impr object

Definition at line 44 of file edit_impr.cpp.

## Member Function Documentation

## ◆ closeEvent()

void edit_impr::closeEvent | ( | QCloseEvent * | cevent | ) |

protected

User is closing dialog.

Definition at line 170 of file edit_impr.cpp.

## ◆ genus_menu

void edit_impr::genus_menu | ( | QAction * | action | ) |

privateslot

User selected genus

Definition at line 239 of file edit_impr.cpp.

Referenced by edit_impr().

## ◆ gfx_tag_alt_given

void edit_impr::gfx_tag_alt_given | ( |  | ) |

privateslot

User entered new alternative graphics tag.

Definition at line 265 of file edit_impr.cpp.

Referenced by closeEvent(), and edit_impr().

## ◆ gfx_tag_given

void edit_impr::gfx_tag_given | ( |  | ) |

privateslot

User entered new graphics tag.

Definition at line 255 of file edit_impr.cpp.

Referenced by closeEvent(), and edit_impr().

## ◆ helptext

void edit_impr::helptext | ( |  | ) |

privateslot

User pressed helptext button

Definition at line 295 of file edit_impr.cpp.

Referenced by edit_impr().

## ◆ refresh()

void edit_impr::refresh | ( |  | ) |

Refresh the information.

Definition at line 205 of file edit_impr.cpp.

Referenced by edit_impr(), genus_menu(), set_bcost_value(), and set_upkeep_value().

## ◆ set_bcost_value

void edit_impr::set_bcost_value | ( | int | value | ) |

privateslot

Read build cost value from spinbox

Definition at line 219 of file edit_impr.cpp.

Referenced by edit_impr().

## ◆ set_upkeep_value

void edit_impr::set_upkeep_value | ( | int | value | ) |

privateslot

Read upkeep value from spinbox

Definition at line 229 of file edit_impr.cpp.

Referenced by edit_impr().

## ◆ sound_tag_alt_given

void edit_impr::sound_tag_alt_given | ( |  | ) |

privateslot

User entered new alternative sound tag.

Definition at line 285 of file edit_impr.cpp.

Referenced by closeEvent(), and edit_impr().

## ◆ sound_tag_given

void edit_impr::sound_tag_given | ( |  | ) |

privateslot

User entered new sound tag.

Definition at line 275 of file edit_impr.cpp.

Referenced by closeEvent(), and edit_impr().

## Field Documentation

## ◆ bcost

QSpinBox* edit_impr::bcost

private

Definition at line 45 of file edit_impr.h.

Referenced by edit_impr(), and refresh().

## ◆ flag_layout

QGridLayout* edit_impr::flag_layout

private

Definition at line 53 of file edit_impr.h.

Referenced by closeEvent(), and edit_impr().

## ◆ genus_button

QToolButton* edit_impr::genus_button

private

Definition at line 47 of file edit_impr.h.

Referenced by edit_impr(), and refresh().

## ◆ gfx_tag

QLineEdit* edit_impr::gfx_tag

private

Definition at line 48 of file edit_impr.h.

Referenced by edit_impr(), gfx_tag_given(), and refresh().

## ◆ gfx_tag_alt

QLineEdit* edit_impr::gfx_tag_alt

private

Definition at line 49 of file edit_impr.h.

Referenced by edit_impr(), gfx_tag_alt_given(), and refresh().

## ◆ impr

struct impr_type* edit_impr::impr

private

Definition at line 44 of file edit_impr.h.

Referenced by closeEvent(), edit_impr(), genus_menu(), gfx_tag_alt_given(), gfx_tag_given(), helptext(), refresh(), set_bcost_value(), set_upkeep_value(), sound_tag_alt_given(), and sound_tag_given().

## ◆ sound_tag

QLineEdit* edit_impr::sound_tag

private

Definition at line 50 of file edit_impr.h.

Referenced by edit_impr(), refresh(), and sound_tag_given().

## ◆ sound_tag_alt

QLineEdit* edit_impr::sound_tag_alt

private

Definition at line 51 of file edit_impr.h.

Referenced by edit_impr(), refresh(), and sound_tag_alt_given().

## ◆ ui

ruledit_gui* edit_impr::ui

private

Definition at line 43 of file edit_impr.h.

Referenced by edit_impr().

## ◆ upkeep

QSpinBox* edit_impr::upkeep

private

Definition at line 46 of file edit_impr.h.

Referenced by edit_impr(), and refresh().